#include <iostream>

using namespace std;

int main()
{   string s;
    getline(cin,s);
    int a[10]={};
    int n=s.length();
    a[s[0]-'0']++;
    int p=0;
    for(int i=1;i<n;i++)
    {
        if(s[i-1]!=s[i]&&a[s[i]-'0'])
            p=1;
        a[s[i]-'0']++;
    }
    cout << p << endl;
    return 0;
}